Hey Brillianticians!

I've been mulling over some sequences that are rather beautiful for their surprising properties and even more fascinating applications. The point of this "contest" is just to show off a sequence that you really love and that you think isn't that very well known. The person whose post receives the most number of votes will be declared the person with the **most interesting sequence in the world**! A post should explain why the sequence is interesting or at least include a fun or exciting property.

To kick things off, I'm going to share with you my submission for the most interesting sequence in the world, the *Thue–Morse sequence*. It goes like this:

\[\begin{align*} a_0 &= 0 \\ a_1 &= 01 \\ a_2 &= 0110 \\ a_3 &= 01101001 \\ a_4 &= 0110100110010110 \end{align*} \\ \vdots \]

**Interesting Property:** Let's have a look at \(a_3 = 01101001.\) Note that the 1st, 4th, 6th, and 7th positions are marked with a "0" while the 2nd, 3rd, 5th, and 8th positions are marked with a "1". Now examine the following equality:

\[\large 1^2 + 4^2 + 6^2 + 7^2 = 2^2 + 3^2 + 5^2 + 8^2 = 102\]

Whoa, is this just coincidence? Nope! It turns out that this pattern generalizes for later terms and for higher powers than \(^2.\) Let \(b_k\) denote the digit in the \(k\)th position of \(a_n.\) It turns out that the sum of the \((n - 1)\)th powers of those \(k\) for which \(b_k = 0\) is equal to the sum of the \((n - 1)\)th powers of all of the \(k\)'s for which \(b_k = 1.\)

So with that in mind, because \(a_4 = 0110100110010110,\) we know that

\[\begin{align*} & 1^3 + 4^3 + 6^3 + 7^3 + 10^3 + 11^3 + 13^3 + 16^3 = 9248 \\ \text{and } & 2^3 + 3^3 + 5^3 + 8^3 + 9^3 + 12^3 + 14^3 + 15^3 = 9248 \end{align*}\]

Pretty interesting, right? I know there are plenty of other fun sequences out there to be shared and probably much more interesting than this one, so go hunt them down! Anyway, our usual Problem Writing Party will resume next week while I put together the new challenge quizzes that the community has created.

**Good luck finding the most interesting sequence. I'm excited to see what the community can come up with.**

## Comments

Sort by:

TopNewestAll right! After one week of digging through some interesting series, we finally have a few that we can deem the among

mostinteresting.Thanks to @Ivan Koswara for his lists of unimaginably huge numbers. I've heard of the Ackermann function and have grappled with its insanely quick growth before, but I found myself saying, "Wow..." after reading about

goodstrings.Thanks to @Michael Mendrin for his list of spheres in different dimensions. This list is actually my favorite for all its jumping around after \(n = 6\), but even more so for its elusive value at \(n = 4.\)

Thanks to @Satyabrata Dash for the seemingly innocent list of the counting number's worth of counting numbers and for its strange and interesting closed form. I don't think I would've ever come up with that.

Thanks to @Julian Poon for the list of perfect shapes in \(n\) dimensions. It's definitely a peculiar sequence when \(\infty\) shows up in the list. And some of us got to see a pretty cool Numberphile video about it!

Thanks to the rest of you, @Kaito Einstein, @Pranshu Gaba, @Agnishom Chattopadhyay, @Aloysius Ng, @Chinmay Sangawadekar, and @Ashish Siva for all your fun submissions! Should I do a

Most Interesting Function In The Worldcontest next? – Andrew Ellinor · 11 months, 1 week agoLog in to reply

@Andrew Ellinor .it was a really innovative contest :)) – Satyabrata Dash · 11 months, 1 week ago

Welcome and thanksLog in to reply

– Aloysius Ng · 11 months, 1 week ago

Oh yes! Or something like interesting number? Have fun! Edit: With reason why it is the most interesting number in their opinion. And any number allowed, not only real.Log in to reply

– Satyabrata Dash · 11 months, 1 week ago

oh yeah! even that sounds fun.Log in to reply

Two people are playing the following game. For a given positive integer \(n\), subtract the highest power of 2 less than it if it isn't a power of 2 or halve it if it is even. Which person wins for what \(n\)? Listing them out in order of \(n\), we get this pattern (the 0's become 2's though). Neat. – Sharky Kesa · 11 months, 1 week ago

Log in to reply

@Andrew Ellinor for holding this contest. – Nihar Mahajan · 11 months, 1 week ago

Thanks to Mr.Log in to reply

– Chinmay Sangawadekar · 11 months, 1 week ago

Yes I will be waiting for that...Log in to reply

Let me take you through a trip of massive numbers.

\(1, 3, 7, 61, 2^{2^{2^{65536}}} - 3 \approx 10^{10^{10^{19727.78040560701}}}, \ldots\)

The Ackermann function \(A(m,n)\) is defined as:

You can toy around with the values of \(A(m,n)\). For small \(m\), the numbers are manageable, but see what happens when \(m = 4\)...

The sequence above is the values of \(A(n) = A(n,n)\), starting from \(n = 0\). Its inverse (\(\alpha(n)\) is the largest \(k\) such that \(A(k,k) \le n\)) is one of the slowest growing functions, and is used as the amortized running time of disjoint-set data structure.

And this sequence is

awfully tinycompared to the next ones.\(3, 11, \ldots\)

Consider a string \(x_1 x_2 x_3 \ldots x_k\) whose characters are taken from \(m\) characters. Such string is

goodif there exists \(i < j \le k/2\) such that \(x_i x_{i+1} \ldots x_{2i}\) is a subsequence of \(x_j x_{j+1} \ldots x_{2j}\). It isbadif it's not good.Surprisingly, there exists \(k\) such that all strings longer than \(k\) characters are good. Let \(n(m)\) be the smallest such value of \(k\); in other words, it's the length of the longest bad string. For example, \(111\) is bad, so \(n(1) \ge 3\). But \(1111\) is good, and that's the only string with length 4, so \(n(1) < 4\). This gives \(n(1) = 3\). For \(n(2)\), we have the string \(12222111111\). The value of \(n(3)\) is at least \(A(7199,158386)\). Remember the Ackermann numbers? How large did you try your \(m\)?

\(1, 3, \ldots\)

Let \(T_1, T_2, T_3, \ldots, T_m\) be a sequence of trees, such that their vertices are labeled among \(n\) labels, and \(T_i\) has at most \(i\) vertices. Let \(TREE(n)\) be the largest value of \(m\) such that there doesn't exist \(i,j\) with \(i < j\) such that \(T_i\) is a subdivision of some subgraph of \(T_j\) (with the labels preserved).

Surprisingly, such \(m\) always exists (and is finite); this is a result by Harvey Friedman.

More surprisingly, the third term "explodes to a value so enormously large that many other "large" combinatorial constants, such as Friedman's \(n(4)\), are extremely small by comparison". \(n(3)\) above is already that big; I can't find any comprehensible lower bound for \(n(4)\). And \(TREE(3)\) dwarfs \(n(4)\) so much that the author says "\(n(4)\) is completely UNNOTICEABLE in comparison to \(TREE(3)\)". A lower bound for \(TREE(3)\) is \(A^{A(187196)}(1)\). You apply the Ackermann sequence \(A\) to \(1\) to get \(3\); that's one time. You apply it to the result to get \(61\); that's two times. You apply it again, getting \(A(61)\); that's three times. You repeat this until you do it \(A(187196)\) times.

\(1, 6, 21, 107, \ldots\)

Consider a Turing machine with two symbols and \(n\) states. A Turing machine must either halt or run forever. Among those that halt (for a fixed \(n\)), consider the one that runs the longest. Count the number of steps; this is the sequence.

Why did I give only four terms? Because the fifth term onward is unknown. We do know, though, that \(a_5 \ge 47176870\), and \(a_6 \ge 7.4 \times 10^{36534}\).

Do you think this sequence is too small to be listed as the last sequence? Well, the earlier three sequences might give you massive values, but they are computable (just try each \(m\), in each case trying all the finite possibilities; due to the theorems, they will stop). The Busy Beaver numbers

are not computable; there is no algorithm, ever, that can compute this sequence. Which in turn means that these numbers will eventually dwarf all of the above sequences.Welcome to the realm of big numbers. And big comments.

(To prove that Busy Beaver numbers aren't computable, we use the halting problem. If they are computable, we can decide whether a Turing machine halts or not, by just simulating it for that many steps. We can compute the number; we can simulate in finite time; we get the result in finite time, so halting problem is decidable. That's contradiction.

To prove that Busy Beaver numbers are eventually larger than any computable sequence (in particular the above three), if the Busy Beaver numbers are smaller than some computable sequence \(a_n\), then to compute the \(n\)-th Busy Beaver number, you take \(a_n\) (which is computable), and run all the (finitely many) possible Turing machines for \(a_n\) steps. All that halt will have halted before that, because \(a_n\) is supposed to be bigger. So the computation ends, and thus the Busy Beaver numbers are computable.) – Ivan Koswara · 11 months, 1 week ago

Log in to reply

How about this sequence (See OEIS A001676)

\(1,1,1,\huge \textbf{?}\normalsize ,1,1,28,2,8,6,992,1,3,2,16256,2,16,16,....\)

which is the number of "different kinds of spheres", including exotic spheres, in dimensions \(1,2,3,4,5,...\). Note that the number of exotic spheres, in addition to the one "ordinary sphere", in the \(4\)th dimension is not known or for any to even exist. The topological properties of \(4\)D is still so poorly understood that this is still an open question (see

Smooth Poincaire Conjecture).This sequence shows that, once again, as Julian Poon commented here on the sequence he has mentioned about "perfect shapes in n-dimensions", it is \(4\)th and \(3\)rd dimensions that seems to offer the most amazing richness in topological structure. The famed Poincaire Conjecture was initially proven in the more general case of dimensions higher than \(5\) (the simpler cases of n=\(1\) or \(2\) being already known), but was only proven for \(n=4\) and recently (and finally!) proven for \(n=3\) (for which Perelman won the Fields Prize).

As an added note, for unit radii, peak volume and peak surface areas for hyperspheres occur at dimensions \(n=5\) and \(n=7\). Thereafter, the volume and surface areas decline at higher dimensions.

I personally think it's the exceptionally peculiar and fecund topological properties of the \(3\)rd and \(4\)th dimensions is the reason why we are living in an universe that is essentially a \(3\)D or \(4\)D space (discounting the "wrapped up tiny dimensions in String Theory). If you consider all possible universes, and just pick one at random, it may be far the most likely for you to have picked an universe similar to ours. – Michael Mendrin · 11 months, 2 weeks ago

Log in to reply

The look and tell sequence: 1,11,21,1211,111221,312211,13112221,..

[Each term is a description of the previous term]

Log in to reply

– Andrew Ellinor · 11 months, 2 weeks ago

Good one! I was waiting for someone to post this one. And great follow up questions.Log in to reply

two 1 (21) (third term describing the second term)

Great !! was unaware of this :)) – Satyabrata Dash · 11 months, 2 weeks ago

Log in to reply

The unnamed but interesting sequence \(1,2,2,3,3,3,4,4,4,4,5,5,5,5,5..........\)

nbeing a part of the sequence ends in the \(\frac {n(n+1)}{2}\)th term.1)Find the general formula for evaluating the sum of n consecutive terms of the sequence. – Satyabrata Dash · 11 months, 2 weeks ago

Log in to reply

– Benjamin Ononogbu · 11 months, 2 weeks ago

the formula for the sum of the first mth term is \(T_m=\dfrac{(n+1)(6m-n^2 - 2n)}{6}\) where \(n=\lfloor(((1+8m)^{1/2} -1)/2)\rfloor\) check it and you see it works perfectlyLog in to reply

SUGGESTION: use latex for better output. – Satyabrata Dash · 11 months, 2 weeks ago

Log in to reply

– Benjamin Ononogbu · 11 months, 2 weeks ago

my phone is not advance to write in latexLog in to reply

Beginner guide to LaTeX – Julian Poon · 11 months, 2 weeks ago

You can type LaTeX even on phone, this might be useful:Log in to reply

– Benjamin Ononogbu · 11 months, 2 weeks ago

thanks @julian i have written them down so i will practice with them.but do you have any link where one can practice with lattex?Log in to reply

– Julian Poon · 11 months, 2 weeks ago

Not really, just continue to type in LaTeX on brilliant and you'll get the hang of it.Log in to reply

– Benjamin Ononogbu · 11 months, 2 weeks ago

i have was able to derive a formula for the sum of the first n terms.Log in to reply

– Benjamin Ononogbu · 11 months, 2 weeks ago

but i will love to know if there are other formula besides mine and also learn them. ThanksLog in to reply

I'm not sure what the name of this sequence is so somebody can help fill me up on that.

The sequence goes like this:

\[1,1, \infty, 5, 6,3, 3, 3, 3, 3, 3, 3......\]

It describes the number of Perfect Shapes in the n-th dimension (regular polygons, Regular polyhedrons, ...), with its first term representing the number of perfect shapes in the 0th dimension.

I find it really interesting that after the fourth dimension, the number of perfect shapes is simply 3. – Julian Poon · 11 months, 2 weeks ago

Log in to reply

– Abdur Rehman Zahid · 11 months, 2 weeks ago

Numberphile made a video on this.Log in to reply

– Julian Poon · 11 months, 2 weeks ago

Wow, mind if you link the video here? I'm interested.Log in to reply

here – Abdur Rehman Zahid · 11 months, 2 weeks ago

ClickLog in to reply

– Julian Poon · 11 months, 2 weeks ago

Nice thanks!Log in to reply

– Michael Mendrin · 11 months, 2 weeks ago

See my follow up entry on that.Log in to reply

– Andrew Ellinor · 11 months, 2 weeks ago

Whoa, now this is the sort of sequence I was looking for. Fascinating! What are the 0th and 1st dimension shapes?Log in to reply

– Julian Poon · 11 months, 2 weeks ago

The 0th dimension would be a single dot, while the 1st dimension would be a line.Log in to reply

I like the sequence OEIS A006577. The \(n\)th term of the sequence represents the number of Collatz steps (\(3n + 1\) if \(n\) is odd and \(n/2\) if \(n\) is even) required for \( n\) to reach \(1\).

The first few terms of the sequence are 0, 1, 7, 2, 5, 8, 16, 3, 19, 6, 14, 9, 9, 17, 17, 4, 12, 20, 20, 7, 7, 15, 15, 10, 23, 10, 111, 18, 18, 18, 106, 5, 26, 13, 13, 21, 21, 21, 34, 8.

Currently, we do not know if the sequence is well defined for every positive integer (since the Collatz conjecture has not been proven/disproven). The sequence appears to be random; we cannot predict the next term by just looking at the previous terms, and yet when we look at the scatter plot, we can see a distinct pattern. It is beautiful. – Pranshu Gaba · 11 months, 1 week ago

Log in to reply

The sequence:

\(undefined,2,3,4,82000,\)

The number \(82000\) in base \(10\) is equal to \(10100000001010000\) in base \(2\), \(11011111001\) in base \(3\), \(110001100\) in base \(4\), and \(10111000\) in base \(5\). It is the smallest integer bigger than \(1\) whose expressions in bases \(2, 3, 4,\) and \(5\) all consist entirely of zeros and ones.

What is remarkable about this property is how much the situation changes if we alter the question slightly. The smallest number bigger than \(1\) whose base \(2, 3,\) and \(4\) representations consist of zeros and ones is \(4\). If we ask the same question for bases up to \(3\), the answer is \(3\), and for bases up to \(2\), the answer is \(2\). The question does not make sense for base \(1\), which is what leads to the sequence \(undefined,2,3,4,82000,\) but the problem is does there exist an integer greater than \(1\) whose representations in bases \(2, 3, 4, 5,\) and \(6\) all consist entirely of zeros and ones? so the most interesting fact in the sequence is that it's not complete or is it? – Kaito Einstein · 11 months, 2 weeks ago

Log in to reply

– Harsh Shrivastava · 11 months, 2 weeks ago

Numberphile made a video about this.Log in to reply

I am a whole lot late, but I find the Kolakoski sequence composed only of 1s and 2s as the most interesting mainly because of the fact that it is the only sequence (except the same sequence with the initial 1 deleted) that gives the same sequence on writing down its own run length. Which implies that it is actually a self generating sequence.

(Edit: I forgot to define what a run is: It is the number of times the same symbol succeeds itself. And the sequence contains runs s of length 1 or 2. Please visit the link above for a more detailed explanation.) – Soumava Pal · 10 months, 2 weeks ago

Log in to reply

– Andrew Ellinor · 10 months, 2 weeks ago

Whoaaaaaa, that is fascinating. I wish you had posted that sooner! I'll be running a most interesting function in the world contest soon :)Log in to reply

Looking forward to the most interesting function in the world contest!! :) – Soumava Pal · 10 months, 2 weeks ago

Log in to reply

– Satyabrata Dash · 10 months, 1 week ago

hey congrats!! for an amazing result in your HS exams. you stood 16th right?Log in to reply

– Soumava Pal · 10 months, 1 week ago

XD no bro, I am in CBSE, and our results are not out yet, he is a friend of mine with the same name( almost) (his name is Soumava Paul) and we study in the same school even, only in different boards. XDLog in to reply

– Satyabrata Dash · 10 months, 1 week ago

ooh tht was a misunderstanding.. anyways best of luck for the upcoming result of yours.Log in to reply

– Ashish Siva · 10 months, 1 week ago

Very funny ROFLLog in to reply

What does this mean? – Agnishom Chattopadhyay · 10 months, 2 weeks ago

Log in to reply

is the contest still going on? – Rex Holmes · 7 months, 1 week ago

Log in to reply

– Satyabrata Dash · 7 months ago

No it's over. But there are many contests going on and off on this siteLog in to reply

https://brilliant.org/problems/the-numbers-of-joseph/ see the problem. – Lucas Nascimento · 11 months, 2 weeks ago

Log in to reply

I like this sequence, 2,2,6,26,150,1082,9366,...

They are defined like this: \(f\left( k \right) =\sum _{ n=0 }^{ \infty }{ \frac { { n }^{ k } }{ { 2 }^{ n } } } \) – Joel Yip · 11 months, 2 weeks ago

Log in to reply

– Chinmay Sangawadekar · 11 months, 1 week ago

is there any relation between , n and k ?Log in to reply

– Arulx Z · 11 months, 1 week ago

No I think the sequence is simply \(f\left(0\right)\), \(f\left(1\right)\), \(f\left(2\right)\) ...Log in to reply

– Joel Yip · 11 months, 1 week ago

n is being summed...Log in to reply

– Chinmay Sangawadekar · 11 months, 1 week ago

Got itLog in to reply

Should the sequence be original? – Nihar Mahajan · 11 months, 2 weeks ago

Log in to reply

– Andrew Ellinor · 11 months, 2 weeks ago

No need for it to be original. Just one you think is interesting and that most people haven't seen. Fibonacci is interesting, but I feel like most people already know that one.Log in to reply

Lets see... – Joel Yip · 11 months, 2 weeks ago

Log in to reply

\[\frac{n}{\pi^{n}}\] , \(n\) belongs to the set of whole numbers .

The sequence goes like this ::: \[0 , \frac{1}{\pi} , \frac{2}{\pi^{2}} , ......\]

PS : I am trying to find its properties ... – Chinmay Sangawadekar · 11 months, 1 week ago

Log in to reply

I just found a new sequence:-

\(\displaystyle \sum_{i=1}^{n} i + \displaystyle \sum_{i=1}^{n-1} i = n^2\)

For example:-

1) \(\displaystyle \sum_{i=1}^{50} i + \displaystyle \sum_{i=1}^{49} i = 2500 = {50}^2\)

2) \(\displaystyle \sum_{i=1}^{106} i + \displaystyle \sum_{i=1}^{105} i = 11236 = {106}^2\) – Ashish Siva · 11 months, 1 week ago

Log in to reply

– Nihar Mahajan · 11 months, 1 week ago

It is a pretty popular identity/fact used in number theory.Log in to reply

– Ashish Siva · 11 months, 1 week ago

Alright, so?Log in to reply

– Chinmay Sangawadekar · 11 months, 1 week ago

You are right Nihar ...Log in to reply

– Joel Yip · 11 months, 1 week ago

that one... looks familiarLog in to reply

– Benjamin Ononogbu · 11 months, 1 week ago

yea it's familliar because the sum of two consecutive triangular numbers is a perfect square. that's what happens hereLog in to reply

– Ashish Siva · 11 months, 1 week ago

What? Where?Log in to reply

I don't know any particularly interesting sequence, but i do know some from project euler. (which i am only lvl 2 at)

There are many programming/math questions there, and some of these questions include sequences.

An example is Q47, where the sequence goes like this...

\(2, 14, 644, 134043, ...\)

I won't say what the sequence is, but hint: look at the n-1 numbers larger than the nth term in the sequence.

This one is interesting because it seems to grow faster than exponential, even factorial...

Bonus: Figure out the next term – Aloysius Ng · 11 months, 2 weeks ago

Log in to reply

Log in to reply

– Aloysius Ng · 11 months, 2 weeks ago

Yeah... but even OEIS gives 7 terms, so maybe find the 8th?Log in to reply

longtime to work out! – Michael Mendrin · 11 months, 2 weeks agoLog in to reply

Log in to reply

Log in to reply

Log in to reply

Log in to reply

Log in to reply

– Vignesh S · 11 months, 2 weeks ago

Why?, it was good (unguessable though ). Don't care for the down votes, may be you would have got more up votes later on.Log in to reply